POST /v2/parties
Allocates a new party on a ledger and adds it to the set managed by the participant. Caller specifies a party identifier suggestion, the actual identifier allocated might be different and is implementation specific. Caller can specify party metadata that is stored locally on the participant. This call may:
- Succeed, in which case the actual allocated identifier is visible in the response.
- Respond with a gRPC error
daml-on-kv-ledger: suggestion’s uniqueness is checked by the validators in the consensus layer and call rejected if the identifier is already present. canton: completely different globally unique identifier is allocated. Behind the scenes calls to an internal protocol are made. As that protocol is richer than the surface protocol, the arguments take implicit values The party identifier suggestion must be a valid party name. Party names are required to be non-empty US-ASCII strings built from letters, digits, space, colon, minus and underscore limited to 255 chars
Authorizations
Ledger API standard JWT token
Body
Required authorization:
HasRight(ParticipantAdmin) OR IsAuthenticatedIdentityProviderAdmin(identity_provider_id) OR IsAuthenticatedUser(user_id)
A hint to the participant which party ID to allocate. It can be
ignored.
Must be a valid PartyIdString (as described in value.proto).
Optional
Formerly "display_name"
Participant-local metadata to be stored in the PartyDetails of this newly allocated party.
Optional
The id of the Identity Provider
If not set, assume the party is managed by the default identity provider or party is not hosted by the participant.
Optional
The synchronizer, on which the party should be allocated. For backwards compatibility, this field may be omitted, if the participant is connected to only one synchronizer. Otherwise a synchronizer must be specified.
Optional
The user who will get the act_as rights to the newly allocated party. If set to an empty string (the default), no user will get rights to the party.
Optional
Response
The allocated party details
Required